import request from '@/utils/request'




// 未选班 选班
export function studentCourseChooseCla(data) {
  return request({
    url: '/api/sc/studentCourse/update/studentCourseChooseCla',
    method: 'post',
    data: data
  })
}


// 停课
export function stopStudentCourseStatus(studentCourseId) {
  return request({
    url: '/api/sc/studentCourse/update/stopStudentCourseStatus/' + studentCourseId,
    method: 'post'
  })
}

// 在读
export function atClaStudentCourseStatus(studentCourseId) {
  return request({
    url: '/api/sc/studentCourse/update/atClaStudentCourseStatus/' + studentCourseId,
    method: 'post'
  })
}

// 会员报读课程列表
export function searchStudentCourse(query) {
  return request({
    url: '/api/sc/studentCourse/list/searchStudentCourse',
    method: 'get',
    params: query
  })
}

// 报读列表
export function searchStuCourseSignUpList(query) {
  return request({
    url: '/api/sc/studentCourse/list/searchStuCourseSignUpList',
    method: 'get',
    params: query
  })
}

// 报读信息中 将会员从班级中移除
export function removeStuFromCla(studentCourseId) {
  return request({
    url: '/api/sc/studentCourse/update/removeStuFromCla/' + studentCourseId,
    method: 'post'
  })
}
